Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages
All | Functions | Variables | Defines
a | b | d | e | g | h | i | n | p | r | s | u | x

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - a -

- ads7870Convert() : ads7870.h, ads7870.c
- ads7870ConvertDiff() : ads7870.h, ads7870.c
- ads7870ConvertRaw() : ads7870.h, ads7870.c
- ads7870Init() : ads7870.h, ads7870.c
- ads7870ReadReg() : ads7870.h, ads7870.c
- ads7870WriteReg() : ads7870.h, ads7870.c
- arpArpIn() : arp.h, arp.c
- arpInit() : arp.h, arp.c
- arpIpIn() : arp.h, arp.c
- arpIpOut() : arp.h, arp.c
- arpMatchIp() : arp.h, arp.c
- ArpMyAddr : arp.c
- arpPrintHeader() : arp.h
- arpPrintTable() : arp.h
- arpSetAddress() : arp.h, arp.c
- ArpTable : arp.c
- arpTimer() : arp.h, arp.c

### - b -

- BOOTP_HEADER_LEN : dhcp.h
- BOOTP_OP_BOOTREPLY : dhcp.h
- BOOTP_OP_BOOTREQUEST : dhcp.h
- bufferAddToEnd() : buffer.h, buffer.c
- bufferDumpFromFront() : buffer.h, buffer.c
- bufferFlush() : buffer.h, buffer.c
- bufferGetAtIndex() : buffer.h, buffer.c
- bufferGetFromFront() : buffer.h, buffer.c
- bufferInit() : buffer.h, buffer.c
- bufferIsNotFull() : buffer.h, buffer.c

### - d -

- d2aInit() : d2a.h, d2a.c
- d2aSet() : d2a.h, d2a.c
- debugPrintHexTable() : debug.h, debug.c
- DHCP_HEADER_LEN : dhcp.h
- DHCP_MSG_DHCPACK : dhcp.h
- DHCP_MSG_DHCPDECLINE : dhcp.h
- DHCP_MSG_DHCPDISCOVER : dhcp.h
- DHCP_MSG_DHCPINFORM : dhcp.h
- DHCP_MSG_DHCPNAK : dhcp.h
- DHCP_MSG_DHCPOFFER : dhcp.h
- DHCP_MSG_DHCPRELEASE : dhcp.h
- DHCP_MSG_DHCPREQUEST : dhcp.h
- DHCP_OPT_DHCPMSGTYPE : dhcp.h
- DHCP_OPT_DNSSERVERS : dhcp.h
- DHCP_OPT_DOMAINNAME : dhcp.h
- DHCP_OPT_END : dhcp.h
- DHCP_OPT_HOSTNAME : dhcp.h
- DHCP_OPT_LEASETIME : dhcp.h
- DHCP_OPT_NAMESERVERS : dhcp.h
- DHCP_OPT_NETMASK : dhcp.h
- DHCP_OPT_PAD : dhcp.h
- DHCP_OPT_PARAMREQLIST : dhcp.h
- DHCP_OPT_REBINDTIME : dhcp.h
- DHCP_OPT_RENEWALTIME : dhcp.h
- DHCP_OPT_REQUESTEDIP : dhcp.h
- DHCP_OPT_ROUTERS : dhcp.h
- DHCP_OPT_SERVERID : dhcp.h
- DHCP_OPT_TIMESERVERS : dhcp.h
- DHCP_UDP_CLIENT_PORT : dhcp.h
- DHCP_UDP_SERVER_PORT : dhcp.h
- dhcpGetOption() : dhcp.h, dhcp.c
- dhcpIn() : dhcp.h, dhcp.c
- dhcpInit() : dhcp.h, dhcp.c
- DhcpLeaseTime : dhcp.c
- dhcpPrintHeader() : dhcp.h
- dhcpRelease() : dhcp.h, dhcp.c
- dhcpRequest() : dhcp.h, dhcp.c
- DhcpServerIP : dhcp.c
- dhcpSetOption() : dhcp.h, dhcp.c
- dhcpTimer() : dhcp.h, dhcp.c
- DhcpTransactID : dhcp.c

### - e -

- enc28j60Init() : enc28j60.h, enc28j60.c
- enc28j60PacketReceive() : enc28j60.h, enc28j60.c
- enc28j60PacketSend() : enc28j60.h, enc28j60.c
- enc28j60PhyRead() : enc28j60.h, enc28j60.c
- enc28j60PhyWrite() : enc28j60.h, enc28j60.c
- enc28j60Read() : enc28j60.h, enc28j60.c
- enc28j60ReadBuffer() : enc28j60.h, enc28j60.c
- enc28j60ReadOp() : enc28j60.h, enc28j60.c
- enc28j60ReceiveOverflowRecover() : enc28j60.h, enc28j60.c
- enc28j60RegDump() : enc28j60.h, enc28j60.c
- enc28j60SetBank() : enc28j60.h, enc28j60.c
- enc28j60Write() : enc28j60.h, enc28j60.c
- enc28j60WriteBuffer() : enc28j60.h, enc28j60.c
- enc28j60WriteOp() : enc28j60.h, enc28j60.c

### - g -

- GNUC_PACKED : dhcp.h, armlibdefs.h

### - h -

- htonl() : net.h, net.c
- HTONL : net.h
- htons() : net.h, net.c
- HTONS : net.h

### - i -

- i2ceepromInit() : i2ceeprom.h, i2ceeprom.c
- i2ceepromReadByte() : i2ceeprom.h, i2ceeprom.c
- i2ceepromWriteByte() : i2ceeprom.h, i2ceeprom.c
- icmpEchoRequest() : icmp.h, icmp.c
- icmpInit() : icmp.h, icmp.c
- icmpIpIn() : icmp.h, icmp.c
- icmpPrintHeader() : icmp.h
- IP_TIME_TO_LIVE : ip.h
- IPDOT : net.h
- ipGetConfig() : ip.h, ip.c
- IpMyConfig : ip.c
- ipPrintConfig() : ip.h, ip.c
- ipSend() : ip.h, ip.c
- ipSetConfig() : ip.h, ip.c

### - n -

- netChecksum() : net.h, net.c
- netPrintEthAddr() : net.h, net.c
- netPrintEthHeader() : net.h
- netPrintIPAddr() : net.h, net.c
- netPrintIpHeader() : net.h
- netPrintTcpHeader() : net.h
- NETSTACK_BUFFERSIZE : netstack.h
- netstackGetBuffer() : netstack.h, netstack.c
- netstackInit() : netstack.h, netstack.c
- netstackIPProcess() : netstack.h, netstack.c
- netstackService() : netstack.h, netstack.c
- netstackTCPIPProcess() : netstack.h, netstack.c
- netstackUDPIPProcess() : netstack.h, netstack.c
- nicGetMacAddress() : nic.h
- nicInit() : rtl8019.c, prism2.c, nic.h, enc28j60.c, cs8900.c, ax88796.c
- nicPoll() : rtl8019.c, prism2.c, nic.h, enc28j60.c, cs8900.c, ax88796.c
- nicRegDump() : rtl8019.c, prism2.c, nic.h, enc28j60.c, cs8900.c, ax88796.c
- nicSend() : rtl8019.c, prism2.c, nic.h, enc28j60.c, cs8900.c, ax88796.c
- nicSetMacAddress() : nic.h

### - p -

- paramLoad() : param.h, param.c
- paramStore() : param.h, param.c

### - r -

- rprintf1RamRom() : rprintf.h, rprintf.c
- rprintfChar() : rprintf.h, rprintf.c
- rprintfCRLF() : rprintf.h, rprintf.c
- rprintfInit() : rprintf.h, rprintf.c
- rprintfNum() : rprintf.h, rprintf.c
- rprintfProgStr() : rprintf.h
- rprintfStr() : rprintf.h, rprintf.c
- rprintfStrLen() : rprintf.h, rprintf.c
- rprintfu04() : rprintf.h, rprintf.c
- rprintfu08() : rprintf.h, rprintf.c
- rprintfu16() : rprintf.h, rprintf.c
- rprintfu32() : rprintf.h, rprintf.c

### - s -

- stxetxGetRxPacketData() : stxetx.h, stxetx.c
- stxetxGetRxPacketDatalength() : stxetx.h, stxetx.c
- stxetxGetRxPacketStatus() : stxetx.h, stxetx.c
- stxetxGetRxPacketType() : stxetx.h, stxetx.c
- stxetxInit() : stxetx.h, stxetx.c
- stxetxProcess() : stxetx.h, stxetx.c
- stxetxSend() : stxetx.h, stxetx.c

### - u -

- UART0_RX_BUFFER_SIZE : uartdma.h
- UART0_TX_BUFFER_SIZE : uartdma.h
- uart0GetByte() : uartdma.h
- uart0Init() : uartdma.h, uartdma.c
- uart0InitBuffers() : uartdma.h, uartdma.c
- uart0SendByte() : uartdma.h
- uart0Service() : uartdma.h, uartdma.c
- UART1_RX_BUFFER_SIZE : uartdma.h
- UART1_TX_BUFFER_SIZE : uartdma.h
- UART2_RX_BUFFER_SIZE : uartdma.h
- UART2_TX_BUFFER_SIZE : uartdma.h
- uartGetBlock() : uartdma.h, uartdma.c
- uartGetByte() : uartdma.h, uartdma.c
- uartGetRxBuffer() : uartdma.c
- uartInitDmaRx() : uartdma.h, uartdma.c
- uartInitDmaTx() : uartdma.h, uartdma.c
- UartRxBuffer : uartdma.c
- uartSendBlock() : uartdma.h, uartdma.c
- uartSendByte() : uartdma.h, uartdma.c
- UartTxBuffer : uartdma.c
- udpSend() : ip.h, ip.c

### - x -

- xmodemCrcCheck() : xmodem.h, xmodem.c
- xmodemInFlush() : xmodem.h, xmodem.c
- xmodemInit() : xmodem.h, xmodem.c
- xmodemInTime() : xmodem.h, xmodem.c
- xmodemReceive() : xmodem.h, xmodem.c
- xmodemTransmit() : xmodem.h, xmodem.c